summaryrefslogtreecommitdiffstats
path: root/tests/auto/declarative/runall.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/auto/declarative/runall.sh')
-rwxr-xr-xtests/auto/declarative/runall.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/tests/auto/declarative/runall.sh b/tests/auto/declarative/runall.sh
new file mode 100755
index 0000000..33087a1
--- /dev/null
+++ b/tests/auto/declarative/runall.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+Xnest :7 2>/dev/null &
+sleep 1
+trap "kill $!" EXIT
+export DISPLAY=:7
+
+make -k -j1 install 2>&1 |
+ while read line
+ do
+ case "$line" in
+ make*Error) echo "$line";;
+ make*Stop) echo "$line";;
+ make*) ;;
+ */qmake*) ;;
+ */bin/moc*) ;;
+ *targ.debug*) ;;
+ g++*) ;;
+ cd*) ;;
+ PASS*) ;;
+ QDEBUG*) ;;
+ Makefile*) ;;
+ Config*) ;;
+ Totals*) ;;
+ \**) ;;
+ ./*) ;;
+ *) echo "$line"
+ esac
+ done
+